# ArrayT< T[N]> Struct Template Reference

Helper template class that provides C array length and item type. More...

`#include <dbg_helpers.h>`

## Public Types
typedef T | item_t
## Static Public Attributes
static const size_t | length = N

## Detailed Description

### template<typename T, size_t N>
struct ArrayT< T[N]>

Helper template class that provides C array length and item type.

Definition at line 29 of file dbg_helpers.h.

The documentation for this struct was generated from the following file:

- src/misc/dbg_helpers.h